%define url_ver	%(echo %{version} | cut -d. -f1,2)

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Name:		xfce4-calculator-plugin
Summary:	Calculator plug-in for the Xfce4 panel
Version:	0.7.3
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		https://docs.xfce.org/panel-plugins/xfce4-calculator-plugin
Source0:	https://archive.xfce.org/src/panel-plugins/xfce4-calculator-plugin/%{url_ver}/xfce4-calculator-plugin-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
Requires:	xfce4-panel

%description
xfce4-calculator-plugin is a calculator plugin for the Xfce4 panel.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README.md
%{_libdir}/xfce4/panel/plugins/libcalculator.so
%{_iconsdir}/hicolor/*/apps/xfce4-calculator-plugin.png
%{_datadir}/xfce4/panel/plugins/calculator.desktop


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.7.3-2.mga10
+ Revision: 2232842
- Mageia 10 Mass Rebuild

* Wed Dec 25 2024 wally <wally> 0.7.3-1.mga10
+ Revision: 2130023
- new version 0.7.3

* Sat Apr 22 2023 wally <wally> 0.7.2-1.mga9
+ Revision: 1954073
- new version 0.7.2

* Mon Apr 04 2022 umeabot <umeabot> 0.7.1-2.mga9
+ Revision: 1843417
- Mageia 9 Mass Rebuild

* Wed Dec 23 2020 wally <wally> 0.7.1-1.mga8
+ Revision: 1663212
- new version 0.7.1

* Sat Oct 31 2020 wally <wally> 0.7.0-3.mga8
+ Revision: 1640954
- add upstream patch to fix build with xfce4-panel 4.15

* Sat Feb 15 2020 umeabot <umeabot> 0.7.0-2.mga8
+ Revision: 1523206
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Feb 24 2019 wally <wally> 0.7.0-1.mga7
+ Revision: 1369929
- new version 0.7.0

* Sun Jan 13 2019 wally <wally> 0.6.90-1.mga7
+ Revision: 1355969
- new version 0.6.90
- switch to gtk3

* Mon Dec 31 2018 wally <wally> 0.6.0-1.mga7
+ Revision: 1347432
- new version 0.6.0

* Sun Sep 23 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1301851
- Mageia 7 Mass Rebuild

* Thu Jan 28 2016 wally <wally> 0.5.1-1.mga6
+ Revision: 928420
- imported package xfce4-calculator-plugin

